1

I am upgrading Magento version from 2.1.9 to latest i.e. (2.3.3).

Steps I followed are:

  1. composer require magento/product-enterprise-edition 2.3.3 --no-update
  2. composer require --dev allure-framework/allure-phpunit:~1.2.0 friendsofphp/php-cs-fixer:~2.14.0 lusitanian/oauth:~0.8.10 magento/magento-coding-standard:~3.0.0 magento/magento2-functional-testing-framework:2.4.5 pdepend/pdepend:2.5.2 phpmd/phpmd:@stable phpunit/phpunit:~6.5.0 sebastian/phpcpd:~3.0.0 squizlabs/php_codesniffer:~3.4.0 --sort-packages --no-update

3.composer remove --dev sjparkinson/static-review fabpot/php-cs-fixer --no-update

4.composer remove magento/module-bundle-sample-data magento/module-theme-sample-data magento/module-widget-sample-data magento/module-sales-sample-data magento/module-wishlist-sample-data magento/module-catalog-sample-data magento/module-tax-sample-data magento/module-sales-rule-sample-data magento/module-customer-sample-data magento/module-cms-sample-data magento/module-downloadable-sample-data magento/module-review-sample-data magento/module-catalog-rule-sample-data magento/module-msrp-sample-data magento/module-gift-card-sample-data magento/module-product-links-sample-data magento/module-configurable-sample-data magento/module-grouped-product-sample-data magento/module-customer-balance-sample-data magento/module-gift-registry-sample-data magento/module-target-rule-sample-data magento/module-multiple-wishlist-sample-data magento/sample-data-media magento/module-offline-shipping-sample-data magento/module-swatches-sample-data --no-update

5.composer update

The issue I am facing is that I am unable to receive any output of composer update command.

Checked log as well and found nothing.

I am unable to proceed further after this:

Loading composer repositories with package information

Updating dependencies (including require-dev)

Any idea why is it so ?

  • Follow links. Answered here : magento.stackexchange.com/questions/99813/… – Vrajesh Patel Nov 26 '19 at 6:59
  • I am unable to figure out why my composer update not finishes and is running endlessly. I am already following the steps shared in that link' – Narendra Vyas Nov 26 '19 at 7:04
  • What I am wondering is that why composer update is not responding. I have asked same in the question as well – Narendra Vyas Nov 26 '19 at 7:05
  • I'm having the same issue :( – Nick Rolando Dec 30 '19 at 19:32
  • Hi @NickRolando: I have answered my question, please check if that solves your problem as well. Thanks. – Narendra Vyas Dec 31 '19 at 5:13
0

I managed to resolve my issue by following below mentioned steps:

  1. Check the version of PHP is compatible and also you have all needed extensions installed. (I installed a default Magento to check)

  2. Take the default composer.json of the version you want to install and compare. I took the one of default Magento (2.3.3) composer and after compare with the current Magento (2.1.9) removed the unused package one by one and Identified that which one is creating issue for me.

Hope it may help anyone.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.